Bug 434350 - aget failed massrebuild attempt for GCC 4.3
aget failed massrebuild attempt for GCC 4.3
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: aget (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: gcc43rebuildfail
  Show dependency treegraph
 
Reported: 2008-02-22 11:03 EST by Jesse Keating
Modified: 2013-01-09 22:08 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-08 17:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-02-22 11:03:10 EST
This is an automatically filed bug for a failed rebuild attempt for GCC 4.3.

http://fedoraproject.org/wiki/JesseKeating/gcc43MassRebuildProposal

Please verify why this build failed and fix it.
http://koji.fedoraproject.org/koji/taskinfo?taskID=442897
Exit code was 1, check the build.log for the failed buildArch task.
Comment 1 Jon Stanley 2008-03-05 18:46:17 EST
Head.c: In function 'http_head_req':
Head.c:55: warning: implicit declaration of function 'hstrerror'
Head.c:58: error: 'struct hostent' has no member named 'h_addr'
Comment 2 Ian Weller 2008-03-19 22:01:29 EDT
it's times like this when i wish i knew c++...

current status: no clue what's causing that error. i've contacted the current
upstream developer.
Comment 3 Christopher Aillon 2008-04-08 13:02:44 EDT
man netdb.h says:

       The <netdb.h> header shall define the hostent structure  that  includes
       at least the following members:


              char   *h_name       Official name of the host.
              char  **h_aliases    A pointer to an array of pointers to
                                   alternative host names, terminated by a
                                   null pointer.
              int     h_addrtype   Address type.
              int     h_length     The length, in bytes, of the address.
              char  **h_addr_list  A pointer to an array of pointers to network
                                   addresses (in network byte order) for the host,
                                   terminated by a null pointer.
Comment 4 Christopher Aillon 2008-04-08 13:04:22 EDT
This isn't c++, this is just using struct members that aren't guaranteed to
exist.  There needs to be a configure test or something here and #ifdefs, or
refactoring of the code.
Comment 5 Ian Weller 2008-04-08 16:20:33 EDT
I and a friend tried for a while a week or two ago to fix it and this is what we
found, although we didn't get it to work.

There doesn't really seem to be much of a desire for this package, and there
haven't been updates for a while. I haven't heard back from the developer, so I
think I'm going to reorphan this.
Comment 6 Jesse Keating 2008-04-08 17:37:28 EDT
Ok, I'm going to block it from dist-f9, so that it has to be fixed before it
comes back into the distro.

Note You need to log in before you can comment on or make changes to this bug.